tracker issue : CF-4203308

select a category, or use search below
(searches all categories and all time range)
Title:

Unable to connect to Amazon S3 v4

| View in Tracker

Status/Resolution/Reason: Closed/Withdrawn/Duplicate

Reporter/Name(from Bugbase): Michael Lato / ()

Created: 08/30/2018

Components: Tags

Versions: 2016

Failure Type: Others

Found In Build/Fixed In Build: 2016,0,02,299200 /

Priority/Frequency: Normal /

Locale/System: / Windows 10 64 bit

Vote Count: 0

Problem Description:
The S# function causes an error when connecting to any S3 region created after 2014: "The authorization mechanism you have provided is not supported. Please use AWS4-HMAC-SHA256."
Steps to Reproduce:
Connect to any S3 region created after 2014 (i.e. Canada Central) using the cffile tag.
Actual Result:
"The authorization mechanism you have provided is not supported. Please use AWS4-HMAC-SHA256."
Expected Result:
Expected a connection to S3.
Any Workarounds:
None. Please update the Amazon SDK to v4.

Attachments:

Comments:

Hi , We have a bug logged forĀ  this functionality. Closing it as duplicate of , [https://tracker.adobe.com/#/view/CF-4198406] Thanks, Suchika
Comment by Suchika Singh
29683 | September 11, 2018 01:12:59 PM GMT